public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libcdio-paranoia/
Date: Wed, 26 Oct 2016 17:02:38 +0000 (UTC)	[thread overview]
Message-ID: <1477501354.4c06ef8e54b850bac8b45ef64b140b0758136af4.polynomial-c@gentoo> (raw)

commit:     4c06ef8e54b850bac8b45ef64b140b0758136af4
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 26 17:00:32 2016 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Oct 26 17:02:34 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c06ef8e

dev-libs/libcdio-paranoia: Revbump to make use of dev-libs/libcdio sub-slot.

Bumped ebuild to EAPI-6.

Package-Manager: portage-2.3.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 .../libcdio-paranoia-0.93_p1-r1.ebuild             | 64 ++++++++++++++++++++++
 1 file changed, 64 insertions(+)

diff --git a/dev-libs/libcdio-paranoia/libcdio-paranoia-0.93_p1-r1.ebuild b/dev-libs/libcdio-paranoia/libcdio-paranoia-0.93_p1-r1.ebuild
new file mode 100644
index 00000000..202d22e
--- /dev/null
+++ b/dev-libs/libcdio-paranoia/libcdio-paranoia-0.93_p1-r1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+MY_P=${PN}-10.2+${PV/_p/+}
+
+inherit eutils autotools multilib-minimal flag-o-matic
+
+DESCRIPTION="an advanced CDDA reader with error correction"
+HOMEPAGE="https://www.gnu.org/software/libcdio/"
+SRC_URI="mirror://gnu/${PN%-*}/${MY_P}.tar.gz"
+
+# COPYING-GPL from cdparanoia says "2 or later"
+# COPYING-LGPL from cdparanoia says "2.1 or later" but 2 files are without the
+# clause "or later" so we use LGPL-2.1 without +
+LICENSE="GPL-3+ GPL-2+ LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="+cxx static-libs test"
+
+RDEPEND="app-eselect/eselect-cdparanoia
+	>=dev-libs/libcdio-0.93:0=[${MULTILIB_USEDEP}]
+	>=virtual/libiconv-0-r1[${MULTILIB_USEDEP}]
+	abi_x86_32? ( !<=app-emulation/emul-linux-x86-medialibs-20130224-r10
+		!app-emulation/emul-linux-x86-medialibs[-abi_x86_32(-)] )"
+DEPEND="${RDEPEND}
+	sys-devel/gettext
+	virtual/pkgconfig
+	test? ( dev-lang/perl )"
+
+S=${WORKDIR}/${MY_P}
+
+DOCS=( AUTHORS ChangeLog NEWS README THANKS )
+
+src_prepare() {
+	sed -i -e 's:AM_CONFIG_HEADER:AC_CONFIG_HEADERS:' configure.ac || die #466410
+	default
+	eautoreconf
+
+	[[ ${CC} == *clang* ]] && append-flags -std=gnu89
+}
+
+multilib_src_configure() {
+	local myeconfargs=(
+		--disable-maintainer-mode
+		--disable-example-progs
+		$(use_enable cxx)
+		--disable-cpp-progs
+		--with-cd-paranoia-name=libcdio-paranoia
+	)
+	# Darwin linker doesn't get this
+	[[ ${CHOST} == *-darwin* ]] && myeconfargs+=( --without-versioned-libs )
+	ECONF_SOURCE="${S}" \
+	econf "${myeconfargs[@]}"
+}
+
+pkg_postinst() {
+	eselect cdparanoia update ifunset
+}
+
+pkg_postrm() {
+	eselect cdparanoia update ifunset
+}


             reply	other threads:[~2016-10-26 17:02 UTC|newest]

Thread overview: 40+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-10-26 17:02 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-04-20 10:37 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libcdio-paranoia/ WANG Xuerui
2021-08-23 22:59 Marek Szuba
2021-04-19 20:54 Sam James
2021-02-04 23:51 Sam James
2021-01-31 18:48 Sam James
2021-01-27 22:44 Sam James
2021-01-27  9:29 Sam James
2021-01-27  9:28 Sam James
2021-01-27  9:28 Sam James
2021-01-27  5:02 Sam James
2019-12-05 13:27 Lars Wendler
2019-12-05 12:26 Lars Wendler
2019-09-11 20:33 David Seifert
2019-09-11  9:38 Lars Wendler
2019-09-11  9:09 Lars Wendler
2019-04-20 17:57 Mikle Kolyada
2019-04-18 15:25 Lars Wendler
2019-04-18 15:25 Lars Wendler
2019-04-11 15:48 Pacho Ramos
2019-02-12  6:07 Markus Meier
2019-01-03  9:27 Sergei Trofimovich
2018-12-15 22:39 Sergei Trofimovich
2018-12-15 11:46 Mikle Kolyada
2018-12-14 22:50 Sergei Trofimovich
2018-12-14 22:48 Sergei Trofimovich
2018-12-14  2:13 Thomas Deutschmann
2017-11-23 14:49 Lars Wendler
2017-05-11 12:44 Michał Górny
2017-04-19  9:38 Lars Wendler
2017-01-31 16:06 Jeroen Roovers
2017-01-29 16:08 Fabian Groffen
2017-01-01 12:43 Agostino Sarubbo
2016-12-30 11:12 Agostino Sarubbo
2016-12-30  9:39 Agostino Sarubbo
2016-12-29 10:45 Agostino Sarubbo
2016-12-21 10:57 Tobias Klausmann
2016-11-16 21:15 Markus Meier
2016-04-02  6:53 Fabian Groffen
2016-02-28  6:51 Matt Thode

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1477501354.4c06ef8e54b850bac8b45ef64b140b0758136af4.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox